Loading...
Searching...
No Matches
pop_front.hpp File Reference

Provides seqan3::tuple_pop_front. More...

`#include <utility>`
`#include <seqan3/utility/tuple/split.hpp>`
Include dependency graph for pop_front.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<tuple_like tuple_t>
constexpr auto | seqan3::tuple_pop_front (tuple_t &&t)
| Removes the first element of a tuple.

## Detailed Description

Provides seqan3::tuple_pop_front.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me